Topics

Hiperledger Explorer

Fernando <fggrocha@...>
 

Hi,

I have the following error in explorer:

module.js:550
    throw err;
    ^

Error: Cannot find module 'ws'
    at Function.Module._resolveFilename (module.js:548:15)
    at Function.Module._load (module.js:475:25)
    at Module.require (module.js:597:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/home/user/blockchain-explorer/main.js:13:17)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)

Anyone can help me?

Regards

Fernando <fggrocha@...>
 

Hi,

I have a new message when I open the browser:
Cannot get /

Regards

Fernando Gómez 


El 23 feb 2019, a las 10:05, Fernando via Lists.Hyperledger.Org <fggrocha=gmail.com@...> escribió:

Hi,

I have the following error in explorer:

module.js:550
    throw err;
    ^

Error: Cannot find module 'ws'
    at Function.Module._resolveFilename (module.js:548:15)
    at Function.Module._load (module.js:475:25)
    at Module.require (module.js:597:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/home/user/blockchain-explorer/main.js:13:17)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)

Anyone can help me?

Regards

Sudheesh Singanamalla
 

Hi Fernando,

Were you able to install all the required dependencies specified in the package.json file by running `npm install` in the repository?
What is the status after installing the packages? It looks like the `ws` module hasn't been installed in your case which is causing this. If it's only this module that has failed to install, you could install it by doing `npm install ws`

Thanks,
Sudheesh

On Sat, Feb 23, 2019 at 2:35 PM Fernando <fggrocha@...> wrote:
Hi,

I have the following error in explorer:

module.js:550
    throw err;
    ^

Error: Cannot find module 'ws'
    at Function.Module._resolveFilename (module.js:548:15)
    at Function.Module._load (module.js:475:25)
    at Module.require (module.js:597:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/home/user/blockchain-explorer/main.js:13:17)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)

Anyone can help me?

Regards

Nick Frunza
 

What is your node version? and which OS do you try to install explorer.

Please use node 8.x.x, not above 9



On Sat, Feb 23, 2019 at 3:59 AM Sudheesh Singanamalla <sudheesh95@...> wrote:
Hi Fernando,

Were you able to install all the required dependencies specified in the package.json file by running `npm install` in the repository?
What is the status after installing the packages? It looks like the `ws` module hasn't been installed in your case which is causing this. If it's only this module that has failed to install, you could install it by doing `npm install ws`

Thanks,
Sudheesh

On Sat, Feb 23, 2019 at 2:35 PM Fernando <fggrocha@...> wrote:
Hi,

I have the following error in explorer:

module.js:550
    throw err;
    ^

Error: Cannot find module 'ws'
    at Function.Module._resolveFilename (module.js:548:15)
    at Function.Module._load (module.js:475:25)
    at Module.require (module.js:597:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/home/user/blockchain-explorer/main.js:13:17)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)

Anyone can help me?

Regards



--
Nik Frunza